
probing_attack synchronized (source) anchored {
  while (loop: true) {
    .ACTION==0, .SRC source, .DST $dest, .line $line | (source==$dest);
    // reject, same source, several destinations.
     /* it would be best to use the .SRC.IP and .DST.IP fields, but less readable. */
    || <<EOF>>; return | (_$loop>=100);
  }
}

spoofing_attack synchronized (dest) anchored {
  while (loop: true) {
    .ACTION==0, .SRC $source, .DST dest, .line $line;
    // reject, several sources, same destination.
     /* it would be best to use the .SRC.IP and .DST.IP fields, but less readable. */
    || <<EOF>>; return | (_$loop>=100);
  }
}

probing_attack_from_not_clio synchronized (source) anchored {
  while (loop: true) {
    .ACTION==0, .SRC source, .DST $dest, .line $line | ($dest =~ "^clio");
    || <<EOF>>; return | (_$loop>100);
  }
}

probing_attack_source_is_dest synchronized (source) anchored {
  while (loop: true) {
    .ACTION==0, .SRC source, .DST $dest, .line $line | (source==$dest);
    // reject, same source, several destinations.
     /* it would be best to use the .SRC.IP and .DST.IP fields, but less readable. */
    || <<EOF>>; return | (_$loop>=100);
  }
}

probing_attack_at_least_3_destinations synchronized (source) anchored {
  while (loop: true) {
    .ACTION==0, .SRC source, .DST $dest, .line $line;
    // reject, same source, several destinations.
     /* it would be best to use the .SRC.IP and .DST.IP fields, but less readable. */
    || <<EOF>>; return | (#$dest>=3);
  }
}

probing_attack_only_new_dests synchronized (source) anchored {
  while (loop: true) {
    .ACTION==0, .SRC source, .DST $dest, .line $line | (new $dest);
      // equivalent to: | (!($dest =? `$dest));
    // reject, same source, several destinations, provided new value $dest
	 // is not in the set of old values (`$dest).
     /* it would be best to use the .SRC.IP and .DST.IP fields, but less readable. */
    || <<EOF>>; return;
    // | (#$dest>=1); : useless, #<whatever> always returns at least 1.
  }
}


